import TonWeb from "@fck-foundation/tonweb-ts";
import { TonClient4 } from "ton";
import { config } from "../config.js";
import { BlockchainNetwork } from "./BlockchainNetwork.js";
export class Blockchain {
    client;
    // tslint:disable-next-line:variable-name
    client_tonweb;
    constructor(mode) {
        if (mode === BlockchainNetwork.mainnet) {
            // tslint:disable-next-line:variable-name
            const api_key = config.MAINNET_API_KEY;
            this.client = new TonClient4({
                endpoint: "https://toncenter.com/api/v2/jsonRPC?api_key=" + api_key,
            });
            this.client_tonweb = new TonWeb(new TonWeb.HttpProvider("https://toncenter.com/api/v2/jsonRPC", {
                apiKey: api_key,
            }));
        }
        else if (mode === BlockchainNetwork.testnet) {
            // tslint:disable-next-line:variable-name
            const api_key = config.TESTNET_API_KEY;
            this.client = new TonClient4({
                endpoint: "https://testnet.toncenter.com/api/v2/jsonRPC?api_key=" + api_key,
            });
            this.client_tonweb = new TonWeb(new TonWeb.HttpProvider("https://testnet.toncenter.com/api/v2/jsonRPC", {
                apiKey: api_key,
            }));
        }
    }
}
